"use strict";
this.name = "militaryFiasco_conditions";
this.author = "phkb";
this.copyright = "2026 phkb";
this.description = "Condition script for ships";
this.licence = "CC BY-NC-SA 4.0";

//-------------------------------------------------------------------------------------------------------------
this.allowSpawnShip = function (shipKey) {
    //return true; // uncomment when testing
    switch (shipKey) {
        case "leviathan":
        case "leviathan-pirate":
        case "basilisk":
        case "hydra1":
        case "hydra2":
        case "rattle":
            // only allow these ships to spawn when the mission is in play in some way.
            if (missionVariables.military_fiasco == "MIL_ACTIVE" || missionVariables.military_fiasco == "MIL_DELAY" || missionVariables.military_fiasco == "MIL_NEVER") return true;
            break;
    }
    return false;
}
